/*
 *                 [[ Frozen Motion ]]
 *
 * Copyright (c) 2004 Glenn Sanson.
 *
 * This code is distributed under the GNU General Public License 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * Artwork:
 *    Amaury Amblard-Ladurantie <amaury at linuxfr.org>
 *      (the bubbles)
 *
 * Design & Programming:
 *    Glenn Sanson <glenn.sanson at free.fr>
 *      (whole Java sourcecode, including JIGA classes 
 *             http://glenn.sanson.free.fr/jiga/)
 *
 *          [[ http://glenn.sanson.free.fr/fmotion/home.html ]]
 */

import net.library.jiga.*;

public class BigFont extends GameFont {
	
	private final static char[] BIG_CHARACTERS = {'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 
											      'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 
											      's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', 
												  '2', '3', '4', '5', '6', '7', '8', '9', '.', '*', 
												  '+', '@', '!', '?', '#', ''};
	
	private final static int[] BIG_POSITION = {0, 28, 52, 77, 101, 123, 143, 169, 194, 203, 224, 
											   251, 272, 301, 326, 353, 375, 403, 428, 452, 477, 
											   502, 530, 565, 592, 619, 644, 665, 680, 702, 723, 
											   745, 767, 788, 809, 830, 852, 861, 875, 894, 920, 
											   928, 947, 969 };
	
	public BigFont(GameApplet applet) {
		super(applet.getGameMedia().loadImage("bigfont.gif"), applet);
		setCharMap(BIG_CHARACTERS, BIG_POSITION);
	}
}