/*
 *                 [[ Frozen Motion ]]
 *
 * Copyright (c) 2004 Glenn Sanson.
 *
 * This code is distributed under the GNU General Public License 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * Artwork:
 *    Amaury Amblard-Ladurantie <amaury at linuxfr.org>
 *      (the bubbles)
 *
 * Design & Programming:
 *    Glenn Sanson <glenn.sanson at free.fr>
 *      (whole Java sourcecode, including JIGA classes 
 *             http://glenn.sanson.free.fr/jiga/)
 *
 *          [[ http://glenn.sanson.free.fr/fmotion/home.html ]]
 */

import net.library.jiga.*;

import java.awt.*;
import java.util.Random;

public class Explosion extends ImageSprite {

	final static double EXPLOSION_SPEED = 10.;
	final static int EXPLOSION_BORDER = 20;
	
	double dirX, dirY;
	
	public Explosion(Rectangle r, Image mini, Random rand) {
		super(r, mini);
		
		double angle = 2. * Math.PI * rand.nextDouble();
		
		dirX = EXPLOSION_SPEED * Math.cos(angle);
		dirY = EXPLOSION_SPEED * Math.sin(angle);
	}
	
	public void move(Game g) {
		this.relativeMove((int)dirX, (int)dirY);
		
		if (this.getSpritePosition().x < -EXPLOSION_BORDER 
			|| this.getSpritePosition().x > g.getGameApplet().getWidth()+EXPLOSION_BORDER
			|| this.getSpritePosition().y < -EXPLOSION_BORDER 
			|| this.getSpritePosition().y > g.getGameApplet().getHeight()+EXPLOSION_BORDER) {
			
			g.eliminateSprite(this);
		}
	}
}