/*
 *                 [[ Frozen Motion ]]
 *
 * Copyright (c) 2004 Glenn Sanson.
 *
 * This code is distributed under the GNU General Public License 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * Artwork:
 *    Amaury Amblard-Ladurantie <amaury at linuxfr.org>
 *      (the bubbles)
 *
 * Design & Programming:
 *    Glenn Sanson <glenn.sanson at free.fr>
 *      (whole Java sourcecode, including JIGA classes 
 *             http://glenn.sanson.free.fr/jiga/)
 *
 *          [[ http://glenn.sanson.free.fr/fmotion/home.html ]]
 */

// Needs JIGA classes
import net.library.jiga.*;

// "Main" class of the game
public class FrozenMotion extends GameApplet {
	
	public final static int SOUND_COLLISION = 0;
	public final static int SOUND_POP = 1;
	public final static int SOUND_EXPLOSION = 2;
	public final static int SOUND_BUBBLES = 3;
	
	private final static String[] SOUND_FILES = {"collide.au", "pop.au", "boom.au", "bubbles.au"};	

    public void gameInit() {
		LevelManager levelManager = new LevelManager(this);
		this.getGameContext().addObject("levelManager", levelManager);
		
		BigFont bigFont = new BigFont(this);
		this.getGameContext().addObject("bigFont", bigFont);		
		
		SmallFont smallFont = new SmallFont(this);
		this.getGameContext().addObject("smallFont", smallFont);
		
		SoundManager soundManager = new SoundManager(this, SOUND_FILES);
		this.getGameContext().addObject("soundManager", soundManager);		
    }
	
    public GameScreen getInitialScreen() {
	// Sets a Game instance as initial screen
		return new SplashScreen(this);
    }
	
    public boolean needsMouseEvents() {
        // As mouse events are useless for this game, 
        // this function should return false
		return false;
    }	
}