/*
 *                 [[ Frozen Motion ]]
 *
 * Copyright (c) 2004 Glenn Sanson.
 *
 * This code is distributed under the GNU General Public License 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * Artwork:
 *    Amaury Amblard-Ladurantie <amaury at linuxfr.org>
 *      (the bubbles)
 *
 * Design & Programming:
 *    Glenn Sanson <glenn.sanson at free.fr>
 *      (whole Java sourcecode, including JIGA classes 
 *             http://glenn.sanson.free.fr/jiga/)
 *
 *          [[ http://glenn.sanson.free.fr/fmotion/home.html ]]
 */

import net.library.jiga.*;
import java.awt.*;

public class LifeManager extends Sprite {

	int compteur;
	double ratio;
	Image lifeImage;
	
	int total, increase, decrease;
	
	public LifeManager(Image img, int[] parameters) {

		super(new Rectangle(624, 8, 8, 465));
		
		this.total = parameters[Level.PARAM_TOTAL_TIME];
		this.increase = parameters[Level.PARAM_TIME_INC];
		this.decrease = parameters[Level.PARAM_TIME_DEC];
		this.lifeImage = img;
		
		compteur = total;
		ratio = 465./(double)total;
	}
	
	// Small bubble eated
	public void increaseLife() {
		compteur = Math.min(total, compteur+increase);
		
		newArea();
	}
	
	// Bubble explosion
	public void decreaseLife() {
		compteur = Math.max(0, compteur-decrease);
		
		newArea();
	}
	
	public void increaseTime() {
		if (compteur > 0) {
			compteur--;
		}
		
		newArea();
	}
	
	void newArea() {
		this.changeSpriteArea(new Rectangle(624, 8, 8, (int)(compteur*ratio)));
	}
	
	public boolean gameLost() {
		
		return compteur == 0;
	}
	
	public void paint(Graphics g, GameApplet applet) {
		g.setClip(this.getSpriteArea());

		g.drawImage(lifeImage, 624, 8, applet);
	}	
}