/*
 *                 [[ Frozen Motion ]]
 *
 * Copyright (c) 2004 Glenn Sanson.
 *
 * This code is distributed under the GNU General Public License 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * Artwork:
 *    Amaury Amblard-Ladurantie <amaury at linuxfr.org>
 *      (the bubbles)
 *
 * Design & Programming:
 *    Glenn Sanson <glenn.sanson at free.fr>
 *      (whole Java sourcecode, including JIGA classes 
 *             http://glenn.sanson.free.fr/jiga/)
 *
 *          [[ http://glenn.sanson.free.fr/fmotion/home.html ]]
 */

import net.library.jiga.*;

public class SmallFont extends GameFont {
	
	private final static char[] SMALL_CHARACTERS = {'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 
											      'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 
											      's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', 
												  '2', '3', '4', '5', '6', '7', '8', '9', '.', '*', 
												  '+', '@', '!', '?', '#', ''};
	
	private final static int[] SMALL_POSITION = {0, 7, 14, 21, 28, 34, 39, 46, 53, 56, 62, 70, 75, 83, 
											   90, 97, 103, 110, 117, 123, 130, 137, 145, 153, 161, 
											   168, 174, 180, 185, 191, 197, 204, 209, 215, 221, 227, 
											   233, 236, 241, 247, 254, 257, 261, 267};
	
	public SmallFont(GameApplet applet) {
		super(applet.getGameMedia().loadImage("smallfont.gif"), applet);
		setCharMap(SMALL_CHARACTERS, SMALL_POSITION);
	}
}